# Uses of Class
org.apache.wiki.search.QueryItem

Packages that use QueryItem
Package
Description
org.apache.wiki.search
Provides the JSPWiki search functionality.

## Uses of QueryItem in org.apache.wiki.search

Constructors in org.apache.wiki.search with parameters of type QueryItem
Modifier
Constructor
Description
``
`SearchMatcher(WikiEngine engine, QueryItem[] queries)`
Deprecated.
kept for compatibility with page/attachment providers not using public API.